class ProjectsController < ApplicationController

  hobo_model_controller

  auto_actions :all  
  
  
  def destroy
    hobo_destroy do
      flash[:notice] = "Project  #{params[:id]} was deleted."
      @projects = Project.find(:all)
    end
  end
end                         


def index

  scopes = {                                                               
    :search => [params[:search], :name, :project_type], 
    :order_by => parse_sort_param(:date_registered, :name, :project_type)
  }

  # For passing options to hobo_index, see
  # http://cookbook.hobocentral.net/manual/controllers#pagination
                             
  # *************************************************************************************
  # It's critical that if we're going to set the collection instance variable that
  # we ALSO do the pagination before calling hobo_index. Otherwise, hobo_index's internal
  # 'self.this' will already be set, and pagination will not happen. The method will
  # then continue on to try to render ALL records, and we'll be waiting an enternity.    
  # And, if there are no records returned for our collection instance variable, the
  # <page-nav> tag will still render page numbers representing all the records in the
  # underlying table!
  # See email from BL - 2012-03-25
  # *************************************************************************************
  
  @projects = Project.apply_scopes(scopes).paginate(:per_page => 4, :page => params[:page]) 

  hobo_index

end
